import * as z from 'zod';
// prettier-ignore
export const OfficeContactModelSchema = z.object({
    id: z.number().int(),
    userId: z.number().int(),
    officeName: z.string().nullable(),
    receptionistName: z.string().nullable(),
    dentistName: z.string().nullable(),
    phoneNumber: z.string().nullable(),
    email: z.string().nullable(),
    fax: z.string().nullable(),
    streetAddress: z.string().nullable(),
    city: z.string().nullable(),
    state: z.string().nullable(),
    zipCode: z.string().nullable(),
    user: z.unknown()
}).strict();

export type OfficeContactPureType = z.infer<typeof OfficeContactModelSchema>;
